Subject: Re: [RFC] Fourth round of support for cloning submodules

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 24 May 2007 03:29:45 -0400

Sven Verdoolaege <[email-masked]> wrote:
> On Wed, May 23, 2007 at 05:50:42PM -0700, Junio C Hamano wrote:
> > Johannes Schindelin <[email-masked]> writes:
> > >
> > > I am sorry to complain so late in the game, but I am not really interested 
> > > in submodules. However, what you say here is not a task for git-config 
> > > IMHO, but rather for git-remote.
> > 
> > Honestly speaking, I do not think people have no business
> > peeking into configuratoin remote repository has, and it would
> > be preferrable that supermodule Porcelain stuff does not rely on
> > that.
> 
> Maybe there are too many negations in that sentence, but are you
> saying it is ok to look into the remote configuration or not?

I think its OK to look at *your* .git/config to see what is
configured for the remotes, (e.g. git config remote.origin.url)
but it is NOT OK to look at the *remote*'s .git/config to see what
they have configured.

Why?  Their configuration is their configuration.  Who knows what
they have stored there.  Look at the recent cvsserver config options,
there's now a lot of information about the SQL database that backs
cvsserver.  That stuff shouldn't be public.

If you want to publish something for a client to fetch, it should
be done by publishing a Git object referenced by a proper ref:
blob, tree, commit, tag, take your pick.

-- 
Shawn.